Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Update Existing Pipeline

PUT/pipelines/{pipeline_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
pipeline_idstring | anyrequired
Query parameters
secret_returnedboolean

Whether to include secret values in the response

default: false
waitboolean

When False, defer destination config update to reconciler instead of calling KC directly

default: true
Request body
requiredapplication/json
namestringrequired
destinationPipelineDestinationConnectorrequired
Show properties
connectorstringrequired
namestringrequired
idstringrequired
sourcePipelineSourceConnectorrequired
Show properties
connectorstringrequired
namestringrequired
idstringrequired
topicsstring[]required
transformsPipelineTransformConnector[] | any
Show properties
Any of:
PipelineTransformConnector[]
Array of PipelineTransformConnector
topic_idstringrequired
any
any
tagsstring[]required
periodic_auditUpdatePipelineAuditReq | any
Show properties
Any of:
UpdatePipelineAuditReq
topicsstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
timestamp_columnstringrequired
interval_minutesintegerrequired
fix_deletes_onlyboolean
default: false
any
any
topic_auto_discovery_transformsTopicAutoDiscoveryTransform[]
default: []
Show properties
Array of TopicAutoDiscoveryTransform
transform_idstringrequired
regexstringrequired
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PUT "https://api.streamkap.com/pipelines/string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "destination": {
    "connector": "string",
    "name": "string",
    "id": "string"
  },
  "source": {
    "connector": "string",
    "name": "string",
    "id": "string",
    "topics": [
      "string"
    ]
  },
  "transforms": [
    {
      "topic_id": "string"
    }
  ],
  "tags": [
    "string"
  ],
  "periodic_audit": {
    "topics": [
      "string"
    ],
    "timestamp_column": "string",
    "interval_minutes": 0,
    "fix_deletes_only": false
  },
  "topic_auto_discovery_transforms": []
}'
Response
Successful Response